Bug 62353 - qt2 installs in /usr/lib/qt-2.3.1 makes entry for /usr/lib/qt2
qt2 installs in /usr/lib/qt-2.3.1 makes entry for /usr/lib/qt2
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: qt2 (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-29 22:41 EST by Seth Vidal
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 15:48:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2002-03-29 22:41:35 EST
Description of Problem:
qt2 installs in /usr/lib/qt-2.3.1 - makes an entry in ld.so.conf for
/usr/lib/qt2/lib instead of /usr/lib/qt-2.3.1/lib


if you rpm -q --scripts qt2 shows that it is installing in the wrong place so
the libs can't be found.


Version-Release number of selected component (if applicable):
qt2-2.3.1-1

How Reproducible:
install it - try to use an app that links to it.
Comment 1 Nathan G. Grennan 2002-04-01 01:18:46 EST
Yes, I see the same problem. It appears the best fix it to add a symlink from
/usr/lib/qt2 to /usr/lib/qt-2.3.1   This is what is done for qt3. Adding an
extra install command to the spec file should easily fix this.
Comment 2 Bernhard Rosenkraenzer 2002-04-02 07:36:39 EST
The link was added in 2.3.1-2

Note You need to log in before you can comment on or make changes to this bug.